# $Revision: 1.8 $, $Date: 2011/05/11 02:35:40 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	Request-AsCGI
Summary:	HTTP::Request::AsCGI - Setup a CGI environment from a HTTP::Request
Summary(pl.UTF-8):	HTTP::Request::AsCGI - ustawianie środowiska CGI z HTTP::Request
Name:		perl-HTTP-Request-AsCGI
Version:	1.2
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82f4749a702992d405d2a8f8118e87ec
URL:		http://search.cpan.org/dist/HTTP-Request-AsCGI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-libwww >= 5.805
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a convinient way of setting up an CGI environment from a
HTTP::Request.

%description -l pl.UTF-8
Ten moduł udostępnia łatwą metodę ustawiania środowiska CGI z
HTTP::Request.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTTP/Request/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-Request-AsCGI.spec,v $
Revision 1.8  2011/05/11 02:35:40  aredridel
- 1.2

Revision 1.7  2009/06/15 13:56:21  amateja
- updated to 0.9

Revision 1.6  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.5  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.3  2006/01/30 17:14:08  migo
- up to 0.05

Revision 1.2  2005/11/19 14:15:41  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
